For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Platform docsVideosCommunitySign up
CapabilitiesGetting startedVoice AI OrchestrationVoxEngine PlatformAPI ReferenceFAQ
CapabilitiesGetting startedVoice AI OrchestrationVoxEngine PlatformAPI ReferenceFAQ
  • Management API
    • Reference
        • POSTAddAdminUser
        • POSTDelAdminUser
        • POSTSetAdminUserInfo
        • POSTGetAdminUsers
        • POSTAttachAdminRole
    • Authorization
    • Errors
  • Web SDK
    • Overview
  • Android SDK
    • Overview
  • Android SDK v3
    • Overview
  • iOS SDK
    • Overview
  • React Native SDK
    • Overview
  • Flutter SDK
    • Overview
LogoLogo
Platform docsVideosCommunitySign up
Management APIReferenceAdmin Users

SetAdminUserInfo

||View as Markdown|
POST
https://api.voximplant.com/platform_api/SetAdminUserInfo
POST
/platform_api/SetAdminUserInfo
$curl -X POST "https://api.voximplant.com/platform_api/SetAdminUserInfo?required_admin_user_name=admin_jdoe&new_admin_user_password=Str0ngP%40ssw0rd!" \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{}'
200Success
1{
2 "result": 1
3}

Edits the specified admin user.

Example request: Edit the admin user password.

Was this page helpful?
Previous

DelAdminUser

Next

GetAdminUsers

Built with

Authentication

AuthorizationBearer

Voximplant Management API uses signed JWT tokens generated from your service-account private key. Pass the token in the Authorization header as a Bearer value:

Authorization: Bearer $VOXIMPLANT_TOKEN

See Authorization for ready-to-copy snippets in bash, Python, Node.js and Go that turn your credentials.json into a token.

Query parameters

required_admin_user_idintegerOptional

The admin user to edit. Required unless required_admin_user_name is provided.

required_admin_user_namestringOptional

The admin user to edit. Required unless required_admin_user_id is provided.

new_admin_user_namestringOptional
The new admin user name. The length must be less than 50
admin_user_display_namestringOptional
The new admin user display name. The length must be less than 256
new_admin_user_passwordstringOptional
The new admin user password. The length must be at least 6 symbols
admin_user_activebooleanOptional
Whether the admin user is active

Response

Successful response
resultinteger
Returns 1 if the request has been completed successfully